<?php


/**
 * @file
 * Adjustment plugin for time variance in periodic sampling method.
 *
 * This plugin allows the introduction of a configurable amount of variance in
 * the sample timestamps generated by the periodic method plugin.  The
 * variance will be plus/minus some random amount for each sample, the amount
 * no greater than the sample_timestamp_variance setting.
 *
 * This could be useful to ensure that regular samples return results that are
 * more balanced over time (eg., not always taking a daily sample from exactly
 * midnight).
 *
 * This plugin accepts the following options:
 *   sample_timestamp_variance:
 *     Number of seconds to vary the periodic sampling timestamp by.  Defaults
 *     to 3600 seconds (ie, variance range is plus or minus one hour).
 */

$plugin = array(
  'handler' => array(
    'class' => 'SamplerAdjustmentHandlerVaryPeriodicTimestamp',
  ),
);
